Computer System Requirements

2014 Master Gardener Online Course

The Master Gardener On-line training course uses an on-line teaching program called Blackboard which is hosted by Illinois Compass. Trainees can access the Illinois Compass platform through a web browser. Some of the files in the course are very large. If you have slow Internet access, you may find viewing the files time consuming, frustrating, and costly if done all online. You must have a minimum of 256 bandwidth, DSL, or better Internet connection in order to view many of the lessons on this course. Dial-up internet will not work for this course.

The Illinois Compass software you will use resides on a server (a central host computer) on the University of Illinois campus. You will want to be sure that your computer's settings are optimized for running an online course. Illinois Compass uses Java technology extensively. In order for Compass to work properly, you need to have the appropriate Java plug-in installed on your computer. To get the most recent version of the Java plug in for your windows computer, go to www.java.com, click on the Free Java Download button and follow the directions. You will also need a player such as Windows Media Player, Real Player or Apple Quick Time Player. Macromedia Flash Player and Macromedia Shockwave Player are recommended.

You will also need Acrobat Reader (which can be downloaded free from the Internet) to view the CD-ROM version of the Master Gardener Manual. The Master Gardener online course has a messaging system within the course, so e-mail access is not absolutely necessary, but for direct communication with the instructor it is recommended that course participants also have an e-mail account.

Recommended Browsers

Not all web browsers perform properly with Illinois Compass. Please refer to the table below for the browsers which have been tested and are supported by Illinois Compass.

WindowsMacintosh

Internet Explorer 8.0, 9.0

Firefox 3.6, 4.0

Chrome (Stable channel) 10.0

Safari 4.0, 5.0

Firefox 3.6, 4.0

Chrome (Stable channel) 10.0

The following technologies are not supported:
Internet Explorer 6.0, 7.0
Firefox 1.x, 2.0, 3.0, 3.5
Safari 2.0, 3.x (or any version on Windows)
Java 5

Other browsers will generally display Compass content but may not work properly for all features such as quizzing.